Skip to main content
`Ctrl`+`K`

# PetscTestDirectory

checks for the existence of a directory

## Synopsis

    PetscErrorCode PetscTestDirectory(const char dirname[], char mode, PetscBool *flg)

Not Collective

## Input Parameters

- dirname - the directory name

- mode - either ‘r’, ‘w’, or ‘x’

## Output Parameter

- flg - the directory exists and satisfies the mode

## See Also

`PetscTestFile()`, `PetscLs()`, `PetscRMTree()`

## Level

intermediate

## Location

src/sys/fileio/ftest.c

Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages